Package com.logicaldoc.core.communication

# Class MessageTemplate

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.communication.MessageTemplate

All Implemented Interfaces:
  `Serializable`

@Entity public class MessageTemplate extends PersistentObject
A template for messaging purposes.

Since:
  6.5
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_SYSTEM`
`static final String`
`TYPE_USER`

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`MessageTemplate()`
`MessageTemplate(MessageTemplate source)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getBody()`
`String`
`getDescription()`
`String`
`getFormattedBody(Map<String,Object> dictionary)`
`String`
`getFormattedSubject(Map<String,Object> dictionary)`
`String`
`getLanguage()`
`String`
`getName()`
`String`
`getSubject()`
`String`
`getType()`
`int`
`hashCode()`
`void`
`setBody(String body)`
`void`
`setDescription(String description)`
`void`
`setLanguage(String language)`
`void`
`setName(String name)`
`void`
`setSubject(String subject)`
`void`
`setType(String type)`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE_SYSTEM

public static final String TYPE_SYSTEM

See Also:
  - Constant Field Values

### TYPE_USER

public static final String TYPE_USER

See Also:
  - Constant Field Values

## Constructor Details

### MessageTemplate

public MessageTemplate()

### MessageTemplate

public MessageTemplate(MessageTemplate source)

## Method Details

### getFormattedBody

public String getFormattedBody(Map<String,Object> dictionary) throws AutomationException

Throws:
  `AutomationException`

### getFormattedSubject

public String getFormattedSubject(Map<String,Object> dictionary) throws AutomationException

Throws:
  `AutomationException`

### getName

public String getName()

### setName

public void setName(String name)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getLanguage

public String getLanguage()

### setLanguage

public void setLanguage(String language)

### getBody

public String getBody()

### setBody

public void setBody(String body)

### getSubject

public String getSubject()

### setSubject

public void setSubject(String subject)

### getType

public String getType()

### setType

public void setType(String type)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`